Bug 244550 - trying to open add/remove software
trying to open add/remove software
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
6
All Linux
low Severity low
: ---
: ---
Assigned To: James Antill
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-16 23:32 EDT by roger benham
Modified: 2014-01-21 17:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 14:25:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description roger benham 2007-06-16 23:32:57 EDT
Description of problem:
Component: Software Manager
Summary: TB6b5e0e87 config.py:661:_getsysver:TypeError: rpmdb open failed

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 453, in ?
    main()
  File "/usr/sbin/pirut", line 446, in main
    pm = PackageManager(options.config)
  File "/usr/sbin/pirut", line 60, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 124, in 
__init__
    plugin_types=(yum.plugins.TYPE_CORE,))
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 132, in 
doConfigSetup
    self.conf = config.readMainConfig(startupconf)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 598, in 
readMainConfig
    yumvars['releasever'] = _getsysver(startupconf.installroot, 
startupconf.distroverpkg)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 661, in 
_getsysver
    idx = ts.dbMatch('provides', distroverpkg)
TypeError: rpmdb open failed

Local variables in innermost frame:
installroot: /
ts: <rpmUtils.transaction.TransactionWrapper instance at 0x9b83d4c>
distroverpkg: redhat-release


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Gianluca Varisco 2007-06-17 08:46:52 EDT
Can you try to do these steps (from root):

# rm -f /var/lib/rpm/__db*
# rpm --rebuilddb

And after these steps try to re-launch pirut. See also the repairdb
documentation available here: http://www.rpm.org/hintskinks/repairdb/ 
Comment 2 Jeremy Katz 2007-09-13 14:25:33 EDT
Closing due to lack of activity; if you have further information please reopen
this report

Note You need to log in before you can comment on or make changes to this bug.